Create Bill Credit Note
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/bill_credit_notes \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"company_id": 123,
"data": [
{
"contact_id": "123456",
"document_number": "123456",
"total_amount": 1000,
"remaining_credit": 1000,
"posted_date": "2024-01-25T09:00:00Z",
"currency_id": "123456",
"memo": "Example Memo",
"status": "Example Status",
"bill_ids": [
"123456"
],
"updated_at": "2024-01-25T09:00:00Z",
"tax_amount": 100,
"line_items": [
{
"rootfi_id": 157,
"platform_id": "123456",
"line_item_type": "INVOICES",
"line_item_type_id": "123456",
"tracking_category_ids": [
"123456"
],
"project_id": "123456",
"item_id": "123456",
"tax_id": "123456",
"account_id": "123456",
"description": "This is a description",
"quantity": 1,
"unit_amount": 100,
"total_amount": 100,
"sub_total": 100,
"tax_amount": 100,
"total_discount": 100,
"updated_at": "2024-01-22T05:07:31.000Z"
}
]
}
]
}
'import requests
url = "https://api.rootfi.dev/v3/accounting/bill_credit_notes"
payload = {
"company_id": 123,
"data": [
{
"contact_id": "123456",
"document_number": "123456",
"total_amount": 1000,
"remaining_credit": 1000,
"posted_date": "2024-01-25T09:00:00Z",
"currency_id": "123456",
"memo": "Example Memo",
"status": "Example Status",
"bill_ids": ["123456"],
"updated_at": "2024-01-25T09:00:00Z",
"tax_amount": 100,
"line_items": [
{
"rootfi_id": 157,
"platform_id": "123456",
"line_item_type": "INVOICES",
"line_item_type_id": "123456",
"tracking_category_ids": ["123456"],
"project_id": "123456",
"item_id": "123456",
"tax_id": "123456",
"account_id": "123456",
"description": "This is a description",
"quantity": 1,
"unit_amount": 100,
"total_amount": 100,
"sub_total": 100,
"tax_amount": 100,
"total_discount": 100,
"updated_at": "2024-01-22T05:07:31.000Z"
}
]
}
]
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_id: 123,
data: [
{
contact_id: '123456',
document_number: '123456',
total_amount: 1000,
remaining_credit: 1000,
posted_date: '2024-01-25T09:00:00Z',
currency_id: '123456',
memo: 'Example Memo',
status: 'Example Status',
bill_ids: ['123456'],
updated_at: '2024-01-25T09:00:00Z',
tax_amount: 100,
line_items: [
{
rootfi_id: 157,
platform_id: '123456',
line_item_type: 'INVOICES',
line_item_type_id: '123456',
tracking_category_ids: ['123456'],
project_id: '123456',
item_id: '123456',
tax_id: '123456',
account_id: '123456',
description: 'This is a description',
quantity: 1,
unit_amount: 100,
total_amount: 100,
sub_total: 100,
tax_amount: 100,
total_discount: 100,
updated_at: '2024-01-22T05:07:31.000Z'
}
]
}
]
})
};
fetch('https://api.rootfi.dev/v3/accounting/bill_credit_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rootfi_id": 123,
"rootfi_deleted_at": null,
"rootfi_created_at": "2024-01-25T09:00:00Z",
"rootfi_updated_at": "2024-01-25T09:00:00Z",
"rootfi_company_id": 456,
"platform_id": "123456_1",
"platform_unique_id": "123456",
"contact_id": "123456",
"document_number": "123456",
"total_amount": 1000,
"remaining_credit": 1000,
"posted_date": "2024-01-25T09:00:00Z",
"currency_id": "123456",
"memo": "Example Memo",
"status": "Example Status",
"bill_ids": [
"123456"
],
"updated_at": "2024-01-25T09:00:00Z",
"tax_amount": 100,
"line_items": [
{
"rootfi_id": 157,
"platform_id": "123456",
"line_item_type": "INVOICES",
"line_item_type_id": "123456",
"tracking_category_ids": [
"123456"
],
"project_id": "123456",
"item_id": "123456",
"tax_id": "123456",
"account_id": "123456",
"description": "This is a description",
"quantity": 1,
"unit_amount": 100,
"total_amount": 100,
"sub_total": 100,
"tax_amount": 100,
"total_discount": 100,
"updated_at": "2024-01-22T05:07:31.000Z"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}Bill Credit Notes
Create Bill Credit Note
Create a new Bill credit note.
POST
/
accounting
/
bill_credit_notes
Create Bill Credit Note
An Bill Credit Note is a financial transaction representing a reduction that can be applied against one or multiple bills issued to Vendors.
Additional Required Fields
To successfully create a bill credit note, certain fields must be included in the raw_data object of the request body. The required fields are as follows:| Integration | Field | Description |
|---|---|---|
| FRESH_BOOKS | currency_rate | The exchange rate between the currency of the invoice credit note and the base currency of the company. |
| MYOB_BUSINESS | tax_code | The tax code to which the contact belongs. |
| SAGE_CLOUD_ACCOUNTING | currency_rate | The exchange rate to be used for the bill credit note. |
Authorizations
Body
application/json